Bug 286101 - Text is not displaying in the attached ppx file.
Summary: Text is not displaying in the attached ppx file.
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Applications
Component: filter/pptx (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-08 12:49 UTC by swathi
Modified: 2011-12-01 08:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (83.74 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-11-08 12:49 UTC, swathi
Details
Screenshot in MS Office (207.69 KB, image/png)
2011-11-08 12:50 UTC, swathi
Details
Screenshot in Calligra Stage (122.24 KB, image/png)
2011-11-08 12:51 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-11-08 12:49:19 UTC
Created attachment 65384 [details]
Test data

Version: git checkout aac9b32c182585abca4455b7c67016d61340a555
      (Using KDE 4.6.3)                
     OS: Kubuntu 11.04
Test data is in Powerpoint 2007 format.
Open the same document in Calligra Stage 
Check the display of text.

Expected outcome:
Text in the slide should be displayed.

Actual outcome:
Text is not displaying.

Frequency:
Always
Comment 1 swathi 2011-11-08 12:50:25 UTC
Created attachment 65385 [details]
Screenshot in MS Office
Comment 2 swathi 2011-11-08 12:51:12 UTC
Created attachment 65386 [details]
Screenshot in Calligra Stage
Comment 3 swathi 2011-11-08 12:54:43 UTC
It might be a problem in the filter. Because calligra converted file is also not displaying the text.
Comment 4 Matus Uzak 2011-11-22 19:15:04 UTC
Git commit a50aaf270722dd896a3ae19e2d35fde8e725b7d6 by Matus Uzak.
Committed on 22/11/2011 at 20:12.
Pushed by uzak into branch 'master'.

pptx: Added a FIXME related to processing of themes.

CCBUG:286101

M  +17   -8    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +5    -5    filters/stage/pptx/PptxXmlSlideReader.cpp

http://commits.kde.org/calligra/a50aaf270722dd896a3ae19e2d35fde8e725b7d6
Comment 5 Matus Uzak 2011-11-25 16:02:03 UTC
Git commit b366b75e52896254ed275c64e7a74bbc0952df10 by Matus Uzak.
Committed on 25/11/2011 at 16:42.
Pushed by uzak into branch 'master'.

pptx: Workaround for text colors inheritance before proper color scheme support.

There's a lot of slides where the text is not visible because text color equals
the background color.

* Ignore text colors set by slideMaster/slideLayout in case the color scheme
  changed in slideLayout/slide respectively.  Always use the color scheme defined
  by slideLayout when dealing with defaults because there's a better chance the
  text is going to be visible.

FIXME: Update fo:color in styles prepared while processing the p:txStyles
(Slide Master Text Styles) element when a color scheme override is detected.

BUG:286101

M  +69   -18   filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +1    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLMethods.h
M  +11   -9    filters/libmsooxml/MsooXmlThemesReader.cpp
M  +8    -3    filters/libmsooxml/MsooXmlThemesReader.h
M  +3    -2    filters/stage/pptx/PptxImport.cpp
M  +11   -11   filters/stage/pptx/PptxXmlDocumentReader.cpp
M  +1    -1    filters/stage/pptx/PptxXmlDocumentReader.h
M  +67   -9    filters/stage/pptx/PptxXmlSlideReader.cpp
M  +13   -6    filters/stage/pptx/PptxXmlSlideReader.h

http://commits.kde.org/calligra/b366b75e52896254ed275c64e7a74bbc0952df10
Comment 6 swathi 2011-12-01 08:09:22 UTC
Verified in 5992551fa6b6bf4e2d716728e086fd48ff905e33 .